org.apache.ignite.internal.util

## Class UnsafeDirectBufferCleaner

- java.lang.Object
- - org.apache.ignite.internal.util.UnsafeDirectBufferCleaner

All Implemented Interfaces:
  DirectBufferCleaner

    public class UnsafeDirectBufferCleaner
    extends Object
    implements DirectBufferCleaner

`DirectBufferCleaner` implementation based on `Unsafe.invokeCleaner` method. Note: This implementation will work only for Java 9+.

### Constructor Summary

Constructors
Constructor and Description
`UnsafeDirectBufferCleaner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clean(ByteBuffer buf)` Cleans direct buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnsafeDirectBufferCleaner

    public UnsafeDirectBufferCleaner()

### Method Detail

#### clean

    public void clean(ByteBuffer buf)

Cleans direct buffer.

Specified by:
  `clean` in interface `DirectBufferCleaner`
Parameters:
  `buf` - direct buffer.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018